use snip_data;
-- Optional fields are a bit strange for blobs lets remove them
DELETE FROM blobs WHERE data is NULL;
ALTER TABLE blobs MODIFY COLUMN data mediumblob NOT NULL;

-- When mime is not set it is a text
UPDATE blobs SET mime = 'text/plain' WHERE mime IS NULL;
ALTER TABLE blobs MODIFY COLUMN mime VARCHAR(32) NOT NULL;

-- Update size
UPDATE blobs SET size = LENGTH(data) WHERE size IS NULL;
ALTER TABLE blobs MODIFY COLUMN size INT UNSIGNED NOT NULL;

-- Created not null
UPDATE blobs SET created = NOW() WHERE created IS NULL;
ALTER TABLE blobs MODIFY COLUMN created TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP;