import { createCanvas } from "canvas";
import { render_background_by_id } from "..";

describe("backgrounds", () => {
    it("should render checkered pattern on the canvas", () => {
        // Create a mock canvas context
        const canvas = createCanvas(800, 600);
        const ctx = canvas.getContext("2d");

        // Set up the canvas size
        canvas.width = 800;
        canvas.height = 600;

        // Call the render_checkered function
        for (const id of [1, 2, 3]) {
            render_background_by_id(
                id,
                ctx as unknown as CanvasRenderingContext2D
            );
        }

        // Verify the checkered pattern is rendered
        // You can add your own assertions here based on your expected output
        // For example, you can check the color of specific pixels or the number of lines drawn

        // Cleanup
        ctx.clearRect(0, 0, canvas.width, canvas.height);
    });
});
